#!/bin/bash
set -e

# first build the scanner
ocamllex scanner.mll

# next generate the parser and files (parser.ml & parser.mli)
ocamlyacc -v parser.mly

# compile each intermediate files
ocamlc -c ast.ml   # AST
ocamlc -c parser.mli   # parser
ocamlc -c scanner.ml   # scanner
ocamlc -c warhol.ml   # main program loop

# merge into one output binary
ocamlc -o main ast.cmo scanner.cmo parser.cmo warhol.cmo
